#### D.6.21.5 discr

Procedure from library `spcurve.lib` (see spcurve_lib).

Usage:
  discr(sem,n); sem ideal, n integer

Assume:
  sem is the versal deformation of an ideal of codimension 2.
  The first n variables of the ring are treated as variables all the others as parameters.

Return:
  ideal describing the discriminant

Note:
  This is not a powerful algorithm!

Example:

    LIB "spcurve.lib";
    ring r=32003,(x(1),x(2),x(3)),ds;
    ideal curve=x(1)*x(2),x(1)*x(3),x(2)*x(3);
    matrix M=isCMcod2(curve);
    list l=matrixT1(M,3);
    def rneu=semiCMcod2(l[1],std(l[2]));
    setring rneu;
    discr(semi,3);
    ==> _[1]=A(1)*A(2)*A(3)

User manual for Singular version 4.4.1, 2025, generated by texi2html.